Move supported arm64 server list to wiki

Bug #1804306 reported by dann frazier on 2018-11-20
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
installation-guide (Ubuntu)
Status tracked in Disco
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]
The installation guide currently has a static list of supported arm64 server platforms. This is a cumbersome way to store this information as it is constantly changing, and these systems are becoming sufficiently standardized as to not require platform-specific instructions.

[Test Case]
N/A - text change.

[Fix]
Let's flush the platform-specific content and instead direct users to a more malleable wiki page.

[Regression Potential]
Uncareful readers may be confused by the disappearance of their favorite platforms from the list - although they should just follow the wiki.

dann frazier (dannf) on 2018-11-20
Changed in installation-guide (Ubuntu Disco):
status: New → In Progress
dann frazier (dannf) on 2018-11-20
Changed in installation-guide (Ubuntu Cosmic):
status: New → In Progress
Changed in installation-guide (Ubuntu Bionic):
status: New → In Progress
dann frazier (dannf) on 2018-11-20
Changed in installation-guide (Ubuntu Disco):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package installation-guide - 20160121ubuntu8

---------------
installation-guide (20160121ubuntu8) disco; urgency=medium

  [ Ike Panhc ]
  * Describe HWE kernel, point release and url for supported arm64 platforms.
    (LP: #1730322)
  * Move supported arm64 server list to a wiki page to ease maintenance
    (LP: #1804306)

 -- dann frazier <email address hidden> Tue, 20 Nov 2018 13:32:20 -0700

Changed in installation-guide (Ubuntu Disco):
status: Fix Committed → Fix Released
Brian Murray (brian-murray) wrote :

Even though it is just a "text change" some of these urls appear to be generated so they'll need to be verified.

As an example:

The HWE installation images are located on each Ubuntu mirror in the directory <ulink url="&url-debian-installer-hwe;images/hwe-netboot/">ubuntu/dists/&releasename;-updates/main/installer-&architecture;/current/images/hwe-netboot/</ulink>.

description: updated
Changed in installation-guide (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic

Hello dann, or anyone else affected,

Accepted installation-guide into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/installation-guide/20160121ubuntu7.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in installation-guide (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Brian Murray (brian-murray) wrote :

Hello dann, or anyone else affected,

Accepted installation-guide into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/installation-guide/20160121ubuntu4.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

On Tue, Nov 27, 2018 at 10:20 AM Brian Murray <email address hidden> wrote:
>
> Even though it is just a "text change" some of these urls appear to be
> generated so they'll need to be verified.

@Ike can you handle the verification?

> As an example:
>
> The HWE installation images are located on each Ubuntu mirror in the
> directory <ulink url="&url-debian-installer-hwe;images/hwe-
> netboot/">ubuntu/dists/&releasename;-updates/main/installer-&architecture;/current/images
> /hwe-netboot/</ulink>.

Note that this link is expected to be broken at this time, but that is
clarified by the following sentence:
"The image will be available soon after HWE kernel is available and
before second point release."

  -dann

Ike Panhc (ikepanhc) wrote :

Yes, link for release image is available for now but we need to wait until point release for netboot image with HWE kernel.

tags: added: verification-done verification-done-bionic verification-done-cosmic
removed: verification-needed verification-needed-bionic verification-needed-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package installation-guide - 20160121ubuntu4.3

---------------
installation-guide (20160121ubuntu4.3) bionic; urgency=medium

  [ Ike Panhc ]
  * Describe HWE kernel, point release and url for supported arm64 platforms.
    (LP: #1730322)
  * Move supported arm64 server list to a wiki page to ease maintenance
    (LP: #1804306)

 -- dann frazier <email address hidden> Tue, 20 Nov 2018 15:10:20 -0700

Changed in installation-guide (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for installation-guide has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package installation-guide - 20160121ubuntu7.1

---------------
installation-guide (20160121ubuntu7.1) cosmic; urgency=medium

  [ Ike Panhc ]
  * Describe HWE kernel, point release and url for supported arm64 platforms.
    (LP: #1730322)
  * Move supported arm64 server list to a wiki page to ease maintenance
    (LP: #1804306)

 -- dann frazier <email address hidden> Tue, 20 Nov 2018 15:37:10 -0700

Changed in installation-guide (Ubuntu Cosmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers